Package org.bukkit

# Annotation Interface Warning

@Target({CONSTRUCTOR,METHOD,TYPE}) @Retention(RUNTIME) public @interface Warning
This designates the warning state for a specific item.

When the server settings dictate 'default' warnings, warnings are printed if the `value()` is true.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Warning.WarningState`
This represents the states that server verbose for warnings may be.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`reason`
This can provide detailed information on why the event is deprecated.
`boolean`
`value`
This sets if the deprecation warnings when registering events gets printed when the setting is in the default state.

## Element Details

### value

boolean value
This sets if the deprecation warnings when registering events gets printed when the setting is in the default state.

Returns:
  false normally, or true to encourage warning printout

Default:
  false

### reason

String reason
This can provide detailed information on why the event is deprecated.

Returns:
  The reason an event is deprecated

Default:
  ""